local M = {}

local function onInit()
    electrics.values['RPM_led1'] = 0
    electrics.values['RPM_led2'] = 0
    electrics.values['RPM_led3'] = 0
    electrics.values['RPM_led4'] = 0
    electrics.values['RPM_led5'] = 0
    electrics.values['RPM_led6'] = 0
    electrics.values['RPM_led7'] = 0
    electrics.values['RPM_led8'] = 0
    electrics.values['RPM_led9'] = 0
    electrics.values['g_R'] = 0
    electrics.values['g_N'] = 0
    electrics.values['g_1'] = 0
    electrics.values['g_2'] = 0
    electrics.values['g_3'] = 0
    electrics.values['g_4'] = 0
    electrics.values['g_5'] = 0
    electrics.values['g_6'] = 0
    electrics.values['g_7'] = 0
end

local function onReset()
    onInit()
end

local function updateGFX(dt)

    if electrics.values['rpm'] > 14000 then
       electrics.values['RPM_led1'] = 1 else electrics.values['RPM_led1'] = 0
    end

    if electrics.values['rpm'] > 14500 then
       electrics.values['RPM_led2'] = 1 else electrics.values['RPM_led2'] = 0
    end

    if electrics.values['rpm'] > 15000 then
       electrics.values['RPM_led3'] = 1 else electrics.values['RPM_led3'] = 0
    end

    if electrics.values['rpm'] > 15500 then
       electrics.values['RPM_led4'] = 1 else electrics.values['RPM_led4'] = 0
    end

    if electrics.values['rpm'] > 16000 then
       electrics.values['RPM_led5'] = 1 else electrics.values['RPM_led5'] = 0
    end

    if electrics.values['rpm'] > 16500 then
       electrics.values['RPM_led6'] = 1 else electrics.values['RPM_led6'] = 0
    end

    if electrics.values['rpm'] > 17000 then
       electrics.values['RPM_led7'] = 1 else electrics.values['RPM_led7'] = 0
    end

    if electrics.values['rpm'] > 17500 then
       electrics.values['RPM_led8'] = 1 else electrics.values['RPM_led8'] = 0
    end

    if electrics.values['rpm'] > 18000 then
       electrics.values['RPM_led9'] = 1 else electrics.values['RPM_led9'] = 0
    end
--------------------------------------------------------------------------------------------------------Neutral
  --------------------------------------------------------------------------------------------------------Reverse Manual
    if electrics.values['gear_M'] < -0.5 then
        
        electrics.values['g_R'] = 1

    else
        
        electrics.values['g_R'] = 0
    end
--------------------------------------------------------------------------------------------------------Neutral
    if electrics.values['gear_M'] > -0.5 and electrics.values['gear_M'] < 0.5 then
        
        electrics.values['g_N'] = 1

    else
        
        electrics.values['g_N'] = 0
    end
--------------------------------------------------------------------------------------------------------First
    if electrics.values['gear_M'] > 0.5 and electrics.values['gear_M'] < 1.5 then
        
        electrics.values['g_1'] = 1

    else
        
        electrics.values['g_1'] = 0
    end    
    
    
--------------------------------------------------------------------------------------------------------Second
    if electrics.values['gear_M'] > 1.5 and electrics.values['gear_M'] < 2.5 then
        
        electrics.values['g_2'] = 1

    else
        
        electrics.values['g_2'] = 0
    end    
    
--------------------------------------------------------------------------------------------------------Third
    if electrics.values['gear_M'] > 2.5 and electrics.values['gear_M'] < 3.5 then
        
        electrics.values['g_3'] = 1

    else
        
        electrics.values['g_3'] = 0
    end    
    
    
--------------------------------------------------------------------------------------------------------Fourth
    if electrics.values['gear_M'] > 3.5 and electrics.values['gear_M'] < 4.5 then
        
        electrics.values['g_4'] = 1

    else
        
        electrics.values['g_4'] = 0
    end    
    
--------------------------------------------------------------------------------------------------------Fifth
    if electrics.values['gear_M'] > 4.5 and electrics.values['gear_M'] < 5.5 then
        
        electrics.values['g_5'] = 1

    else
        
        electrics.values['g_5'] = 0
    end    
    
--------------------------------------------------------------------------------------------------------Sixth
    if electrics.values['gear_M'] > 5.5 and electrics.values['gear_M'] < 6.5 then
        
        electrics.values['g_6'] = 1

    else
        
        electrics.values['g_6'] = 0
    end    
    
--------------------------------------------------------------------------------------------------------Seven
    if electrics.values['gear_M'] > 6.5 then
        
        electrics.values['g_7'] = 1

    else
        
        electrics.values['g_7'] = 0
    end    
    
end

-- public interface
M.onInit      = onInit
M.onReset     = reset
M.updateGFX = updateGFX

return M